#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Is the Gramian Angular Field an effective technique for building an ECG-based identification technique with individuals in resting and activity states? 


Tuned VGG19 Networ

"""

#%% ( 


vgg19 = kapp.VGG19(input_shape=img_dim,weights='imagenet', include_top=False)

model =keras.Sequential()

for x in range(7):
    layer = vgg19.layers[x]
    layer.trainable = False
    model.add(layer)
model.add(Conv2D(512, (3,3), activation='relu', padding='same'))
model.add(Conv2D(512, (3,3), activation='relu', padding='same'))
model.add(Conv2D(512, (3,3), activation='relu', padding='same'))
model.add(Conv2D(512, (3,3), activation='relu', padding='same'))
model.add(Conv2D(512, (3,3), activation='relu', padding='same'))
model.add(MaxPooling2D((2,2)))
model.add(GlobalAveragePooling2D())
model.add(Dropout(0.25))
model.add(Dense(128, activation='relu'))
model.add(Dropout(0.1))
model.add(Dense(10, activation='softmax'))


#%% ( 